Avro C++

Public Member Functions | List of all members
avro::WriterImpl< ValidatorType > Class Template Reference

Class for writing avro data to a stream. More...

`#include <Writer.hh>`

Inheritance diagram for avro::WriterImpl< ValidatorType >:

## Public Member Functions
| WriterImpl (const ValidSchema &schema)
void | writeValue (const Null &)
void | writeValue (bool val)
void | writeValue (int32_t val)
void | writeValue (int64_t val)
void | writeValue (float val)
void | writeValue (double val)
void | writeValue (const std::string &val)
void | writeBytes (const void *val, size_t size)
template<size_t N>
void | writeFixed (const uint8_t(&val)[N])
template<size_t N>
void | writeFixed (const std::array< uint8_t, N > &val)
void | writeRecord ()
void | writeRecordEnd ()
void | writeArrayBlock (int64_t size)
void | writeArrayEnd ()
void | writeMapBlock (int64_t size)
void | writeMapEnd ()
void | writeUnion (int64_t choice)
void | writeEnum (int64_t choice)
InputBuffer | buffer () const

## Detailed Description

### template<class ValidatorType>
class avro::WriterImpl< ValidatorType >

Class for writing avro data to a stream.

The documentation for this class was generated from the following file:

- api/Writer.hh